Bug 95624 - [MAINTAINER] net/6tunnel - DISTVERSION is set incorrectly
Summary: [MAINTAINER] net/6tunnel - DISTVERSION is set incorrectly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Volker Stolz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-11 15:40 UTC by Shaun Amott
Modified: 2006-04-18 08:01 UTC (History)
0 users

See Also:


Attachments
6tunnel.diff (350 bytes, patch)
2006-04-11 15:40 UTC, Shaun Amott
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shaun Amott 2006-04-11 15:40:17 UTC
The port's DISTVERSION value is in ports format, and not the original
vendor format.
Comment 1 Volker Stolz freebsd_committer 2006-04-17 14:51:42 UTC
State Changed
From-To: open->feedback

Can you please elaborate what the exact problem is? 
I do not see any need to change a thing. 
If you're going to use DISTVERSION, you usually DO NOT set PORTVERSION 
but rather let the framework do this automatically. 


Comment 2 Volker Stolz freebsd_committer 2006-04-17 14:51:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vs

I'll track this.
Comment 3 Shaun Amott 2006-04-17 17:59:40 UTC
On Mon, Apr 17, 2006 at 01:53:31PM +0000, Volker Stolz wrote:
> 
> Can you please elaborate what the exact problem is?
> I do not see any need to change a thing.

According to the Porter's Handbook:

  "DISTNAME is the name of the port as called by the authors of the
  software."

Setting DISTNAME causes DISTVERSION to be set to the version in ports
format (0.11.r2), rather than the author's format (0.11rc2), but setting
DISTVERSION (which is the variable we really want to change) ensures
both values are correct.

There is in fact a reason for the change: the automated tool I am
working on needs to be able to determine the original vendor-formatted
version string from ports, and currently 6tunnel's DISTVERSION variable
is incorrect.

> If you're going to use DISTVERSION, you usually DO NOT set PORTVERSION
> but rather let the framework do this automatically.
> 

Hmm. I'm not sure how this would work... how can the ports system
determine PORTVERSION from DISTVERSION?

-- 
Shaun Amott [ PGP: 0x6B387A9A ]
    Scientia Est Potentia.
Comment 4 stolz 2006-04-17 18:18:46 UTC
On Mon, Apr 17, 2006 at 05:59:40PM +0100, Shaun Amott wrote:
> There is in fact a reason for the change: the automated tool I am
> working on needs to be able to determine the original vendor-formatted
> version string from ports, and currently 6tunnel's DISTVERSION variable
> is incorrect.

I think your tool is working under the wrong assumptions.

> > If you're going to use DISTVERSION, you usually DO NOT set PORTVERSION
> > but rather let the framework do this automatically.
> 
> Hmm. I'm not sure how this would work... how can the ports system
> determine PORTVERSION from DISTVERSION?

You can find the code for this in bsd.port.mk.
Try removing PORTVERSION and DISTNAME from the Makefile and
set DISTVERSION=0.11rc2. Observe the effect:

6tunnel@menelaos [19:08:14]> make -V PORTVERSION
0.11.r2
6tunnel@menelaos [19:08:34]> make -V DISTNAME
6tunnel-0.11rc2

Please drop me a line if you would like this modification to be carried out.
the pre-configure target is redundant these days, too.

Volker
-- 
http://www-i2.informatik.rwth-aachen.de/stolz/ *** PGP *** S/MIME
"All the excitement lies in pattern matching." (SPJ et al.)
Comment 5 Shaun Amott 2006-04-17 19:01:39 UTC
On Mon, Apr 17, 2006 at 07:18:46PM +0200, Volker Stolz wrote:
> 
> You can find the code for this in bsd.port.mk.
> Try removing PORTVERSION and DISTNAME from the Makefile and
> set DISTVERSION=0.11rc2. Observe the effect:
> 
> 6tunnel@menelaos [19:08:14]> make -V PORTVERSION
> 0.11.r2
> 6tunnel@menelaos [19:08:34]> make -V DISTNAME
> 6tunnel-0.11rc2
> 
> Please drop me a line if you would like this modification to be carried out.
> the pre-configure target is redundant these days, too.
> 

Okay.. this is fine.

Please make the change, and you can remove pre-configure too.

-- 
Shaun Amott [ PGP: 0x6B387A9A ]
    Scientia Est Potentia.
Comment 6 Volker Stolz freebsd_committer 2006-04-18 08:00:55 UTC
State Changed
From-To: feedback->closed

Port updated, thanks!